﻿@using SportsClub.Areas.Dashboard.Models
@model TransferOrderViewModel
@{
    Layout = null;
}

<div class="view-container">

    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click="back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Transfer
            </h1>
        </div>

        <div class="actions">

            @*
                 <a ui-sref="InviteUser" class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Add new program">
                      <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
                </a>
            *@

        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <nav class="step-navigator breadcrumbs edit-order">
        <ul>
            <li ng-class="{'active': Model.PageStep == 'FirstPage', 'done': Model.PageStep == 'PaymentPlan' }">
                <a ng-click="Model.PageStep = 'FirstPage'">
                    Transfer
                </a>
            </li>
            <li ng-if=" Model.ProgramType != 'BeforeAfterCare' && Model.ProgramType != 'Subscription'" ng-class="{'active': Model.PageStep == 'PaymentPlan', 'done': Model.PageStep == 'Review' }" ng-disabled="true">
                <a class="ng-isolate-scope" ng-click="!cancelMode()? Model.PageStep = 'PaymentPlan': return;">
                    Payment plan
                </a>
            </li>
            <li class="last" ng-class="{'active': Model.PageStep == 'Review'}">
                <a class=" ng-isolate-scope" ng-click="continue()">
                    <i class="icon-checkmark"></i>
                </a>
            </li>
            <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
            <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
        </ul>
    </nav>

    <div class="margin-bottom20 transfer-overview text-center place-righ full-width" ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'">
        <div class="place-left one-fifth">
            <b>Order amount</b>
            <i id="orderAmount"></i>
        </div>
        <div class="place-left one-fifth">
            <b>New amount</b>
            <i id="newAmount"></i>
        </div>
        <div class="place-left one-fifth">
            <b>Paid amount</b>
            <i id="paidAmount"></i>
        </div>
        <div class="place-left one-fifth">
            <b>Difference</b>
            <i id="difference"></i>
        </div>
        <div class="place-left one-fifth" ng-class="{'fg-green': calculateBalance()<0,'fg-red': calculateBalance() > 0 }">
            <b>Remaining balance</b>
            <i id="remaining"></i>
        </div>
    </div>

    <div class="clearfix"></div>
    <div class="orderitem-profile place-left full-width margin-bottom20">
        <div>
            <div class="avatar-box">
                <i ng-class="{'jbi-user-male':Model.Gender == 'Male', 'jbi-user-female': Model.Gender == 'Female','jbi-user-male':Model.Gender ===null}"></i>
            </div>
            <div class="info-box">
                <h2 class="name ellipsis"><span ng-bind="Model.PlayerName">Participant Name</span> - <span ng-bind="Model.ConfirmationId"></span></h2>
                <p class="desc">{{Model.Gender}} <span ng-if="Model.Age != 0">| {{Model.Age}} </span> <span ng-if="Model.Grade">| Grade {{Model.Grade}}</span></p>
            </div>
        </div>
    </div>

    <div ng-form="transferStep1Form" ng-if="Model.PageStep == 'FirstPage'">

        <div id="transfer">

            <div class="source">
                <aside class="left-box">
                    <h2>Source program</h2>
                </aside>
                <div class="right-box">
                    <div class="clearfix">
                        <div class="margin-right10">

                            <table class="table">
                                <colgroup>
                                    <col style="font-weight: bold;width: 80%;">
                                    <col style="width: 20%;">
                                </colgroup>
                                <tfoot>
                                    <tr>
                                        <td class="text-bold">Total</td>
                                        <td class="text-bold">{{(Model.OrderAmount).formatCurrencyWithPenny(2)}}</td>
                                    </tr>
                                    <tr>
                                        <td class="text-bold">Paid amount</td>
                                        <td class="text-bold">{{(Model.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                                    </tr>
                                </tfoot>
                                <tbody>
                                    <tr>
                                        <td ng-bind="Model.ProgramName" class="text-bold"></td>
                                        <td class="text-bold">
                                            {{(Model.EntryFee).formatCurrencyWithPenny(2)}}
                                        </td>
                                    </tr>
                                    <tr class="charge" ng-repeat="charge in Model.SourceCharges">
                                        <td>{{charge.Name}} <span class="label info">Service</span></td>
                                        <td>{{(charge.Amount).formatCurrencyWithPenny(2)}}</td>
                                    </tr>
                                    <tr class="discount" ng-repeat="discount in Model.SourceDiscounts">
                                        <td>{{discount.Name}} <span class="label success">Discount</span></td>
                                        <td>{{(discount.Amount).formatCurrencyWithPenny(2)}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

            <div class="target">
                <aside class="left-box">
                    <h2>Target program</h2>
                </aside>
                <div class="right-box">
                    <div>
                        <div class="clearfix input-control select" data-role="input-control">
                            <select ng-change="loadSchedules()" ng-model="@Html.Ang(model => model.SelectedProgram)" ng-options="obj.Value as obj.Text for obj in Model.AllPrograms"></select>
                        </div>
                        <div>
                            <span class="fg-blue" ng-if="Model.IsFrozen">Note: this program is frozen.</span>
                        </div>

                        <div class="clearfix tuitions" ng-if="Model.SelectedProgram">
                            <div>
                                <label class="req-star">Select tuition option</label>
                                <div ng-repeat="schedule in Model.Schedules">
                                    <h5><strong><span ng-if="schedule.Title != '' && schedule.Title !=null">{{schedule.Title}} - </span>Dates: {{schedule.Dates}}</strong></h5>
                                    <div ng-repeat="tution in schedule.Tutions" class="margin-right10 input-control  radio default-style" data-role="input-control">
                                        <label>
                                            <input ng-change="loadChargeDiscounts()" name="tutionoption" ng-model="Model.SelectedTution" ng-value="{{tution.Id}}" type="radio" />
                                            <span class="check"></span>
                                            {{tution.Name}}: ${{tution.Price}}
                                            <span class="fg-red" ng-if="tution.IsProrate">(Note: check for prorated price)</span>
                                            <span class="fg-red" ng-if="tution.IsEarlyBird">(Note: check for early bird price)</span>
                                        </label>
                                    </div>
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                            <div ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">
                                <label class="req-star">Select days</label>
                                <div ng-repeat="day in Days">
                                    <label class="block">
                                        <input ng-model="day.IsChecked" name="instSelected" ng-value="true" type="checkbox" />
                                        <span class="check"></span>
                                        {{day.Title}}
                                    </label>
                                </div>
                            </div>
                            <div class="one-half place-left" ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">
                                <label class="req-star">Effective date</label>
                                <div class="input-control date-time">
                                    <div>
                                        <input id="ddd" kendo-date-picker k-options="MC.datePickerOptions" ng-model="Model.NewEffectiveDate" ng-click=""/>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div ng-if="Model.SelectedTution && Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'">
                            <div>
                                <table class="table" ng-if="Model.OrderChargeDiscounts.length > 0">
                                    <colgroup>
                                        <col />
                                        <col width="280" />
                                        <col width="400" />
                                    </colgroup>
                                    <thead>
                                        <tr>
                                            <th class="text-left">Item</th>
                                            <th class="text-left">Amount</th>
                                            <th ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'" class="text-left">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr ng-repeat="chargeDiscount in Model.OrderChargeDiscounts | orderBy:sortChargeDiscounts">
                                            <td ng-class="{'line-through' : !chargeDiscount.Checked}" style="width: 200px !important;">
                                                <span ng-if="chargeDiscount.Category != 'CustomDiscount' && chargeDiscount.Category != 'CustomCharge'">
                                                    {{chargeDiscount.Name}}
                                                </span>
                                                <span ng-if="!chargeDiscount.EditMode && (chargeDiscount.Category == 'CustomDiscount' || chargeDiscount.Category == 'CustomCharge') ">
                                                    {{chargeDiscount.Name}}
                                                </span>
                                                <div ng-if="chargeDiscount.EditMode && (chargeDiscount.Category == 'CustomDiscount' || chargeDiscount.Category == 'CustomCharge')" class="input-control text price" data-role="input-control">
                                                    <input type="text" ng-model="chargeDiscount.Name" />
                                                </div>
                                                <span ng-if="chargeDiscount.Category != 'CustomDiscount' && chargeDiscount.Category != 'CustomCharge'">
                                                    <span ng-if="chargeDiscount.SubCategory == 'Discount' && chargeDiscount.Category != 'Coupon'" style="text-decoration: inherit;" class="label success">Discount</span>
                                                    <span ng-if="chargeDiscount.SubCategory == 'Discount' &&  chargeDiscount.Category == 'Coupon'" style="text-decoration: inherit;" class="label success">Coupon</span>
                                                    <span ng-if="chargeDiscount.SubCategory == 'Charge' && chargeDiscount.Type != null && chargeDiscount.Category != 'EntryFee'" style="text-decoration: inherit;" class="label info">{{chargeDiscount.Type}}</span>
                                                    <span ng-if="chargeDiscount.SubCategory == 'Charge' && chargeDiscount.Type == null  && chargeDiscount.Category != 'EntryFee'" style="text-decoration: inherit;" class="label info">Service</span>
                                                </span>
                                                <span ng-if="!chargeDiscount.EditMode && (chargeDiscount.Category == 'CustomDiscount' || chargeDiscount.Category == 'CustomCharge')">
                                                    <span ng-if="chargeDiscount.SubCategory == 'Discount'" style="text-decoration: inherit;" class="label success">Discount</span>
                                                    <span ng-if="chargeDiscount.SubCategory == 'Charge'" style="text-decoration: inherit;" class="label info">Service</span>
                                                </span>
                                            </td>
                                            <td>
                                                <span ng-if="!chargeDiscount.EditMode">{{chargeDiscount.Amount.formatCurrencyWithPenny(2)}}</span>
                                                <div ng-if="chargeDiscount.EditMode" class="input-control text price" data-sign="$" data-role="input-control">
                                                    <input type="text" ng-model="chargeDiscount.Amount" ng-blur="chargeDiscount.Amount = (Number(chargeDiscount.Amount) || 0)" />
                                                </div>
                                            </td>
                                            <td>
                                                <div ng-if="!chargeDiscount.EditMode">
                                                    <button class="btn" ng-click="editItem(chargeDiscount);" ng-if="chargeDiscount.Checked">Manually adjust</button>
                                                    <button class="btn" ng-show="chargeDiscount.Category!='EntryFee' && chargeDiscount.Checked" ng-click="removeChargeDiscount(chargeDiscount.Id)">Delete</button>
                                                    <button class="btn" ng-show="chargeDiscount.Category!='EntryFee'  && !chargeDiscount.Checked && !cancelMode()" ng-click="addChargeDiscount(chargeDiscount.Id)">Add</button>
                                                    <button class="btn" ng-show="chargeDiscount.Category=='EntryFee' && chargeDiscount.Checked" ng-click="removeChargeDiscount(chargeDiscount.Id)">Cancel entire order</button>
                                                    <button class="btn" ng-show="chargeDiscount.Category=='EntryFee' && !chargeDiscount.Checked" ng-click="addChargeDiscount(chargeDiscount.Id)">Add</button>
                                                </div>
                                                <div ng-if="chargeDiscount.EditMode">
                                                    <button class="btn success" ng-click="chargeDiscount.Amount < 0 ? chargeDiscount.Amount = 0 : chargeDiscount.EditMode = !chargeDiscount.EditMode">Save</button>
                                                    <button class="btn" ng-if="chargeDiscount.Checked" ng-click="cancelEditItem(chargeDiscount)">Cancel</button>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="clearfix">
            <label>Transfer fee (optional)</label>
            <div class="input-control text price place-left span6" data-role="input-control" data-sign="$" @Html.AngValidationClassFor(model => model.TransferFee)>
                <input ng-model="Model.TransferFee" type="number" @Html.AngTooltipValidationFor(model => model.TransferFee) />
            </div>
            <br />
            <div class="clearfix"></div>
            <label>Memo</label>
            <div class="input-control textarea">
                <textarea class="span6" ng-model="Model.TransferMemo"></textarea>
            </div>
        </div>
    </div>

    <div ng-if="Model.PageStep == 'PaymentPlan' && Model.ProgramType != 'BeforeAfterCare' && Model.ProgramType != 'Subscription'">
 
        <div ng-if="!Model.HasInstallment &&  Model.ProgramType != 'BeforeAfterCare'">
            This order has no installments.
        </div>
        <div ng-if=" Model.ProgramType == 'BeforeAfterCare' && Model.Mode =='PunchCard'">
            This order has no installments.
        </div>

        <div ng-if="Model.HasInstallment">
            <span style="color:blue" ng-show="Model.IsAutoCharge">The installments are set as auto charge.</span>

            <table class="table table-bordered margin-top20 menue-table">
                <thead>
                    <tr>

                        <td class="text-bold">Due date</td>
                        <td class="text-bold">Amount</td>
                        <td class="text-bold">Paid amount</td>
                        <td class="text-bold">Last paid date</td>

                        <td class="text-bold text-right" style="padding-right:22px;white-space:nowrap;">Actions</td>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="installment in Model.OrderInstallments  | orderBy: {IsDeposit: true}" ng-init="sbIndex = $index">

                        <td ng-class="{'line-through' :installment.IsDeleted }">

                            <div ng-if="!installment.EditMode">
                                {{formatDate(installment.DueDate)}} <span>{{installment.Description}}</span>
                            </div>
                            <div ng-if="installment.EditMode">
                                <input k-options="MC.datePickerOptions" kendo-date-picker type="text" style="width: 173px;" ng-model="installment.DueDate">
                            </div>
                        </td>
                        <td>
                            <div ng-if="!installment.EditMode">
                                {{installment.Amount.formatCurrencyWithPenny(2)}}
                            </div>
                            <div ng-if="installment.EditMode" class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("OrderInstallments['+sbIndex+'].Amount")>
                                <input type="text" ng-model="installment.Amount" @Html.AngTooltipValidation("OrderInstallments['+sbIndex+'].Amount") />
                            </div>
                        </td>
                        <td>
                            <div ng-if="installment.HasTransaction">
                                {{installment.PaidAmount.formatCurrencyWithPenny(2)}}
                            </div>
                        </td>
                        <td>
                            {{installment.PaidDate}}
                        </td>
                        <td>
                            <div ng-if="installment.EditMode">
                                <button class="btn success" ng-if="installment.EditMode" ng-click="saveInstallment(installment)">Save</button>
                                <button class="btn" ng-click="cancelInstallmentItem(installment)">Cancel</button>
                            </div>

                            <div ng-if="!installment.EditMode || !installment.RefundMode">
                                <ul kendo-menu="" class="k-arrow-less" style="display: inline-block;" k-direction="'left'" k-orientation="'horizontal'" k-rebind="'horizontal'" k-on-select="" data-role="menu">
                                    <li class="k-item k-state-default" role="menuitem" style="z-index: auto;">
                                        <span style="font-size:18px;font-weight:900;font-family:Arial">
                                            ...
                                        </span>
                                        <div class="k-animation-container" style="width: 192px; height: 156px; margin-left: -2px; padding-left: 2px; padding-right: 2px; padding-bottom: 4px; overflow: hidden; display: none; position: absolute; z-index: 10002; top: 0px; left: -196px; box-sizing: content-box;">
                                            <ul class="k-group k-menu-group k-popup k-reset" role="menu" data-role="popup" style="max-height: 462px; overflow: auto; display: none; position: absolute; font-size: 14.6667px; font-family: Segoe UI, Open Sans, Verdana, Arial, Helvetica, sans-serif; font-stretch: normal; font-style: normal; font-weight: normal; line-height: 20px; transform: translateX(192px);" aria-hidden="true">
                                                <li ng-if="!installment.IsDeleted" ng-click="editInstallmentItem(installment)" class="k-item k-state-default k-first" role="menuitem">
                                                    <span class="k-link jbi-angle-right">Edit</span>
                                                </li>
                                                <li ng-show="installment.HasTransaction" ng-click="showInstallmentDetail(installment.Id)" class="k-item k-state-default k-first" role="menuitem">
                                                    <span class="k-link jbi-angle-right">Details</span>
                                                </li>
                                                <li ng-click="removeInstallmentItem(installment)" ng-if="!installment.HasTransaction && !installment.IsDeleted" class="k-item k-state-default k-first" role="menuitem">
                                                    <span class="k-link jbi-angle-right">Remove</span>
                                                </li>
                                            </ul>
                                        </div>
                                    </li>
                                </ul>
                            </div>

                        </td>


                    </tr>

                </tbody>
            </table>

            <div class="margin-top20">
                <div class="one-half place-left padding-right20">
                    <label>Due date</label>
                    <div class="input-control date-time" data-role="input-control">
                        <input k-options="MC.datePickerOptions2" kendo-date-picker ng-blur="MC.dateTimePickerClose($event)" ng-click="MC.dateTimePickerOpen($event)" data-role="datepicker" type="text" ng-model="Model._dueDate" />
                    </div>
                </div>
                <div class="one-half place-left">
                    <label>Amount</label>
                    <div class="input-control text price" data-sign="$" data-role="input-control">
                        <input type="text" ng-model="Model._amount" />
                    </div>
                </div>
                <button class="place-right" ng-click="addNewInstallment()">Add new installment</button>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>

    <div ng-if="Model.PageStep == 'Review'">
        <div class="clearfix">
            <div class="place-left one-half">
                <h3>You're about to transfer from</h3>
                <h4>{{Model.ProgramName}}</h4>
                <h3>To</h3>
            </div>
        </div>

        <table class="table table-bordered margin-top20">
            <thead>
                <tr>
                    <td class="text-bold">Item</td>
                    <td class="text-bold">Amount</td>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td ng-bind="formatProgramName()"></td>
                    <td>{{getSelectedTution().Price.formatCurrencyWithPenny(2)}}</td>
                </tr>
                <tr ng-repeat="chargeDiscount in Model.OrderChargeDiscounts | filter: {Checked: true}" ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'">
                    <td style="width: 200px !important;">
                        {{chargeDiscount.Name}}
                        <span ng-if="chargeDiscount.SubCategory == 'Discount'" style="text-decoration: inherit;" class="label success">Discount</span>
                        <span ng-if="chargeDiscount.SubCategory == 'Charge' && chargeDiscount.Category != 'EntryFee'" style="text-decoration: inherit;" class="label info">{{chargeDiscount.Type}}</span>
                    </td>
                    <td>
                        {{chargeDiscount.Amount.formatCurrencyWithPenny(2)}}
                    </td>
                </tr>

                <tr ng-if="Model.TransferFee != null && Model.TransferFee != 'undefined' && Model.TransferFee > 0 ">
                    <td>
                        Transfer fee
                        <span style="text-decoration: inherit;" class="label info">Service</span>
                    </td>
                    <td>
                        {{Model.TransferFee.formatCurrencyWithPenny(2)}}
                    </td>
                </tr>
            </tbody>
        </table>

        <div ng-if="hasInstallment() && !cancelMode() && Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'">
            <h4>Installments</h4>

            <table class="table table-bordered">
                <thead>
                    <tr>
                        <td class="text-bold">Due date</td>
                        <td class="text-bold">Amount</td>
                        <td class="text-bold">Paid amount</td>
                        <td class="text-bold">Last paid date</td>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="installment in Model.OrderInstallments | filter: {IsDeleted: false}">
                        <td>{{formatDate(installment.DueDate)}}</td>

                        <td>{{installment.Amount.formatCurrencyWithPenny(2)}}</td>

                        <td>
                            <div ng-if="installment.HasTransaction">
                                {{installment.PaidAmount.formatCurrencyWithPenny(2)}}
                            </div>
                        </td>

                        <td>{{installment.PaidDate}}</td>
                    </tr>
                </tbody>
                <tbody ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">
                    <tr ng-repeat="installment in Model.SubscriptionOrderInstallments | filter: {IsDeleted: false}">
                        <td>{{installment.StrDueDate}}</td>

                        <td>{{installment.Amount.formatCurrencyWithPenny(2)}}</td>

                        <td>
                            <div ng-if="installment.HasTransaction">
                                {{installment.PaidAmount.formatCurrencyWithPenny(2)}}
                            </div>
                        </td>

                        <td>{{installment.PaidDate}}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="clearfix"></div>

        <div ng-if="Model.TransferMemo">
            <p class="margin-bottom20">
                Memo: {{Model.TransferMemo}}
            </p>
        </div>

        <div class="clearFix"></div>

        <div class="input-control checkbox default-style place-left no-margin padding-right50" data-role="input-control">
            <label class="block">
                <input ng-model="@Html.Ang(m => m.SendEmail)" name="sendEmail" ng-value="true" type="checkbox" />
                <span class="check"></span>
                Send confirmation email
            </label>
        </div>
    </div>

    <div class="clearfix"></div>
    <hr />

    <button ng-if="Model.PageStep != 'Review'" type="submit" ng-click="continue()" class="success large place-right">Continue</button>
    <button ng-if="Model.PageStep == 'Review'" type="submit" ng-click="transfer()" class="success large place-right">Submit</button>
    <button ng-if="Model.PageStep != 'Review'" class="link large place-left" ng-click="back()">Cancel</button>
    <button ng-if="Model.PageStep == 'Review'" class="link large place-left" ng-click="back()">Back</button>

    <div class="clearfix"></div>
</div>


